Subject: Re: confusing terminology

From: [email-masked] ("Hal Finney")
Date: Tue, 8 Feb 2005 10:23:41 -0800 (PST)

Rick van Rein writes:
> For this reason, I would never, ever encrypt without compressing first.
> This is the cryptographic advise I would like to see in the indicated place.

I'm afraid I don't agree with this as cryptographic advice.  If your
cipher is so weak that you are afraid to encrypt English text, you need
a new cipher!  Not a new compression algorithm.

It's fine if you want to say that compression increases the entropy
density which could in theory make the cryptanalyst's problem slightly
harder, but I would definitely not go so far as to advise or imply that
failing to compress is cryptographically insecure.

Hal Finney